{
  "m:operation-router": {
    "topChild": true,
    "children": [
      "m:operation",
      "m:unknown-operation"
    ]
  },
  "m:operation": {
    "attrs": {
      "name": null
    },
    "children": [
      "onException",
      "when",
      "onCompletion",
      "intercept",
      "interceptFrom",
      "interceptSendToEndpoint",
      "to",
      "toD",
      "route",
      "aggregate",
      "bean",
      "doCatch",
      "choice",
      "otherwise",
      "circuitBreaker",
      "claimCheck",
      "convertBodyTo",
      "delay",
      "dynamicRouter",
      "enrich",
      "filter",
      "doFinally",
      "idempotentConsumer",
      "inOnly",
      "inOut",
      "loadBalance",
      "log",
      "loop",
      "marshal",
      "multicast",
      "onFallback",
      "pipeline",
      "policy",
      "pollEnrich",
      "process",
      "recipientList",
      "removeHeader",
      "removeHeaders",
      "removeProperties",
      "removeProperty",
      "resequence",
      "rollback",
      "routingSlip",
      "saga",
      "sample",
      "script",
      "setBody",
      "setExchangePattern",
      "setHeader",
      "setProperty",
      "sort",
      "split",
      "step",
      "stop",
      "threads",
      "throttle",
      "throwException",
      "transacted",
      "transform",
      "doTry",
      "unmarshal",
      "validate",
      "whenSkipSendToEndpoint",
      "wireTap",
      "serviceCall",
      "m:standard-router",
      "m:set-destination",
      "m:default-destination",
      "m:prefer-connector",
      "m:next-route",
      "m:respond",
      "m:xslt",
      "m:xslt-xalan",
      "m:atlasmap",
      "m:read-secret",
      "m:to-connection",
      "m:entaxy-trace",
      "m:call-route",
      "m:set-log-key",
      "m:log"
    ]
  },
  "m:unknown-operation": {
    "children": [
      "onException",
      "when",
      "onCompletion",
      "intercept",
      "interceptFrom",
      "interceptSendToEndpoint",
      "to",
      "toD",
      "route",
      "aggregate",
      "bean",
      "doCatch",
      "choice",
      "otherwise",
      "circuitBreaker",
      "claimCheck",
      "convertBodyTo",
      "delay",
      "dynamicRouter",
      "enrich",
      "filter",
      "doFinally",
      "idempotentConsumer",
      "inOnly",
      "inOut",
      "loadBalance",
      "log",
      "loop",
      "marshal",
      "multicast",
      "onFallback",
      "pipeline",
      "policy",
      "pollEnrich",
      "process",
      "recipientList",
      "removeHeader",
      "removeHeaders",
      "removeProperties",
      "removeProperty",
      "resequence",
      "rollback",
      "routingSlip",
      "saga",
      "sample",
      "script",
      "setBody",
      "setExchangePattern",
      "setHeader",
      "setProperty",
      "sort",
      "split",
      "step",
      "stop",
      "threads",
      "throttle",
      "throwException",
      "transacted",
      "transform",
      "doTry",
      "unmarshal",
      "validate",
      "whenSkipSendToEndpoint",
      "wireTap",
      "serviceCall"
    ]
  },
  "m:service-connector": {
    "topChild": true,
    "attrs": {
      "direction": [
        "in",
        "out"
      ]
    }
  }
}
